Skip to content

Import HACCP Plan Translatable Fields

Use this endpoint to import translated HACCP Plan data into Vault.

Before submitting this request:

  • You must first run the Export HACCP Plan Translatable Fields and Retrieve HACCP Plan Translatable Fields APIs and modify the returned JSON file with the appropriate translated data.
  • The target HACCP Plan must have an associated HACCP Translation Generation record in the Export Complete lifecycle state.
  • You must have permission to edit all translatable fields in the target HACCP Plan.

The following guidelines apply to the input file:

  • Translated field data must be in JSON format.
  • The maximum input JSON file size is 250 MB.
  • The following field types are supported for import:
    • Text (Metadata return type = String)
    • Long Text (Metadata return type = LongText)
    • Rich Text (Metadata return type = RichText)
  • See translating HACCP Plans in Vault Help for additional guidelines.
POST/api/{version}/app/quality/haccp_plan/{haccp_plan_record_id}/translatable_fields
NameDescription
Content-Typemultipart/form-data
Acceptapplication/json
NameDescription
{haccp_plan_record_id}The ID field value for the HACCP Plan record you wish to translate.
NameDescription
file
required
The filepath of the JSON document. The maximum allowed file size is 250 MB.
curl -L 'https://myvault.veevavault.com/api/v26.1/app/quality/haccp_plan/VY7000000003002/translatable_fields' \ -H 'Authorization: {SESSION_ID}' \ -H 'Accept: application/json' \ -H 'Content-Type: multipart/form-data' \ -F 'file=@"/VY7000000003002.json"'
{ "responseStatus": "SUCCESS", "data": { "job_id": "652903" } }

On SUCCESS, Vault returns a job_id and populates the translatable fields on the target HACCP Plan record and its related records with the values provided in the imported JSON file. On FAILURE, the response includes a reason for the failure.